Skip to main content
`Ctrl`+`K`

# DMGetSection

Get the `PetscSection` encoding the local data layout for the `DM`. This is equivalent to `DMGetLocalSection()`. Deprecated in v3.12

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetSection(DM dm, PetscSection *section)

## Input Parameter

- dm - The `DM`

## Output Parameter

- section - The `PetscSection`

## Options Database Key

- -dm_petscsection_view - View the `PetscSection` created by the `DM`

## Notes

Use `DMGetLocalSection()` in new code.

This gets a borrowed reference, so the user should not destroy this `PetscSection`.

## See Also

DM Basics, `DM`, `DMGetLocalSection()`, `DMSetLocalSection()`, `DMGetGlobalSection()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages